Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.io.datastore.schema
Enum MappedGMLId.IDPART_INFO

    java.lang.Object
      java.lang.Enum<MappedGMLId.IDPART_INFO>
          org.deegree.io.datastore.schema.MappedGMLId.IDPART_INFO

All Implemented Interfaces:
  Serializable, Comparable<MappedGMLId.IDPART_INFO>

Enclosing class:
  MappedGMLId

    public static enum MappedGMLId.IDPART_INFO

extends Enum<MappedGMLId.IDPART_INFO>

Used to represent the 'identityPart' information.

Enum Constant Summary
`isIDPart` Feature id determines feature identity solely.
`noIDInfo` No 'identityPart' information available.
`notIDPart` Feature id is not part of the feature identity -> property values determine if two features are 'equal'.

Method Summary
`static MappedGMLId.IDPART_INFO` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MappedGMLId.IDPART_INFO[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### noIDInfo

    public static final MappedGMLId.IDPART_INFO noIDInfo

  No 'identityPart' information available.

### isIDPart

    public static final MappedGMLId.IDPART_INFO isIDPart

  Feature id determines feature identity solely.

### notIDPart

    public static final MappedGMLId.IDPART_INFO notIDPart

  Feature id is not part of the feature identity -> property values determine if two features are 'equal'.

Method Detail

### values

    public static final MappedGMLId.IDPART_INFO[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MappedGMLId.IDPART_INFO c : MappedGMLId.IDPART_INFO.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MappedGMLId.IDPART_INFO valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org